/*
 *   电商-商品管理路由表
 * */

export default [
  /* ======商品管理======  */
  // 退款管理
  {
    path: 'refund',
    component: () =>
      import('@/views/shoppingmall/order/orderRefund/refund')
  },
  // 退货详情页面
  {
    path: 'refundOrderDetail',
    component: () =>
      import('@/views/shoppingmall/order/orderRefund/refundDetail.vue')
  },
  // 订单-对账
  {
    path: 'reconciliation',
    component: () =>
      import('@/views/shoppingmall/reconciliation/reconCiliation-list')
  },
  // 订单-对账 物流新增列表
  {
    path: 'reconCiliationLogisticsList',
    component: () =>
      import('@/views/shoppingmall/reconciliation/reconCiliationLogistics-list')
  },
  // 对账订单详情
  {
    path: 'reconciliationDetail',
    component: () =>
      import('@/views/shoppingmall/reconciliation/reconCiliation-detail')
  },
  {
    // 订单列表
    path: 'orderList',
    meta: { path: 'orderList' },
    component: () =>
      import('@/views/shoppingmall/order/supplierOrder/order-list')
  },
  /* ======收藏足迹======  */
  // 我的收藏
  {
    path: 'myCollection',
    meta: { path: 'myCollection' },
    component: () =>
      import('@/views/shoppingmall/myCollection/myCollection')
  },
  // 供应商---我的订单
  {
    path: 'supplierOrderViewList',
    meta: { path: 'supplierOrderViewList' },
    component: () =>
      import('@/views/shoppingmall/order/supplierOrder/order-list.vue')
  },
  // 协议录入
  // {
  //   path: 'protocolEntry',
  //   meta: { path: 'protocolEntry' },
  //   component: () =>
  //     import('@/views/shoppingmall/contract/protocol-entry')
  // },
  /* ======对账人管理======  */
  {
    path: 'reconciliationPerson',
    meta: { path: 'reconciliationPerson' },
    component: () =>
      import('@/views/shoppingmall/reconCiliationPerson/reconCiliationPerson-add.vue')
  }]
